"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDestroyObservable = exports.useEmptyObject = exports.EMPTY_DEPENDENCIES = void 0;
var react_1 = require("react");
var rxjs_1 = require("rxjs");
/**
 * reusable empty dependencies array for hooks
 */
exports.EMPTY_DEPENDENCIES = [];
/**
 * empty Object wiht no dependencies
 */
function useEmptyObject() {
    var object = react_1.useState(Object.create(null))[0];
    return object;
}
exports.useEmptyObject = useEmptyObject;
/**
 * destroy$ stream helper
 * it will emit an empty value on unmount
 */
function useDestroyObservable() {
    var destroy$ = react_1.useState(new rxjs_1.Subject())[0];
    react_1.useEffect(function () { return function () {
        destroy$.next(void 0);
        destroy$.complete();
    }; }, exports.EMPTY_DEPENDENCIES);
    return destroy$.asObservable();
}
exports.useDestroyObservable = useDestroyObservable;
