import { useEffect, useState } from 'react';
import { Subject } from 'rxjs';
/**
 * reusable empty dependencies array for hooks
 */
export var EMPTY_DEPENDENCIES = [];
/**
 * empty Object wiht no dependencies
 */
export function useEmptyObject() {
    var object = useState(Object.create(null))[0];
    return object;
}
/**
 * destroy$ stream helper
 * it will emit an empty value on unmount
 */
export function useDestroyObservable() {
    var destroy$ = useState(new Subject())[0];
    useEffect(function () { return function () {
        destroy$.next(void 0);
        destroy$.complete();
    }; }, EMPTY_DEPENDENCIES);
    return destroy$.asObservable();
}
